Name: paco
Version: 2.0.9
Release: 7%{?dist}
Summary: A source code package organizer for Unix/Linux

Group: Applications/System
License: GPLv2+
URL: http://paco.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

# Patch e-mailed to upstream on June 16, 2011
# Updates the GPLv2 license file to the newest revision
Patch0: paco-2.0.9-fix-fsf-address.patch

%description
After the installation of a source package with "./configure && make && make
install", one is usually left with having no idea of what it was installed and
where it all went, making it difficult to uninstall the package in the future.

Paco was written to solve this problem in a quite simple fashion.

When installing a package from sources, paco wraps the "make install" command
(or whatever command or group of commands are needed to install the files into
the system), and saves installation information into a text database.

Paco has many usage options for removing packages, looking at package files, 
file counts, sorting, missing files, etc. Run "paco -h" on the command line, 
or "man paco" for more information.


%prep
%setup -q
%patch0 -p0
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && touch -r ChangeLog ChangeLog.conv && mv -f ChangeLog.conv ChangeLog


%build
%configure --disable-gpaco
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Unnecessary folder with duplicate files
rm -rf %{buildroot}%{_datadir}/paco
# Unnecessary library files
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_libdir}/*.a
rm -rf %{buildroot}%{_libdir}/pkgconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING BUGS README ChangeLog doc/faq.txt
%{_bindir}/ocap
%{_bindir}/paco*
%{_bindir}/rpm2paco
%{_bindir}/superpaco
%{_libdir}/libpaco-log.so.*
%{_mandir}/man5/pacorc.5.*
%{_mandir}/man8/*.8*
%config(noreplace) %{_sysconfdir}/pacorc


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%changelog
* Wed Jul 27 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 2.0.9-7
- Removed gpaco subpackage for EPEL5 build

* Tue Jul 19 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 2.0.9-6
- Add default file attributes to gpaco subpackage
- Removed unnecessary recursive flags from rm commands to delete unwanted files

* Mon Jul 18 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 2.0.9-5
- Replaced build root variables with the build root macro
- Renamed GUI subpackage to gpaco after the upstream name
- Changed license to GPLv2+
- Removed empty line in gpaco description
- Other minor reformatting

* Sun Jul 17 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 2.0.9-4
- Prefixed patch files with package name and version
- Moved build requirements in spec file to the top
- Preserve the changelog file's timestamp when converting to UTF-8
- Removed /usr/share/paco since the same files are already installed elsewhere
- Added faq.txt to documentation
- More verbose file listings
- Moved file exclusions to rm statements in install section
- Moved patch statements to directly after setup

* Wed Jun 15 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 2.0.9-3
- Added gui subpackage for gpaco GUI frontend
- Added patch to update GPL license file
- Added patch for gpaco.desktop file to correct categories and icon path
- Fixed files directive for library files to not include debug files

* Sat Jun 04 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 2.0.9-2
- Wrapped the description text to 80 characters per line
- Changed the package group to Applications/System
- Included the ChangeLog file in the package

* Sun May 15 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 2.0.9-1
- Initial version
